<% include ./templates/header.ejs%>
<div class="portfolio_wrapper">
    <h1>Podcastbook</h1>
  <div class="portfolio_description_wrapper">  
  <iframe width="670" height="300" src="https://www.youtube.com/embed/gj7XRX3NcbU" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
    <h2>Short description of Podcastbook</h2>
        <div>With <em>Podcastbook</em> you can:</div>
        <ul>
            <li><span>generate and manage notes taken for podcasts you listen to</span></li>
            <li><span>generate a record containing the following information: title of an episode, date of release, content of a note, title of series and list of tags</span></li>
            <li><span>edit and remove the existing records</span></li>
            <li><span>retrieve all pieces of information for a record based on a given title</span></li>
            <li><span>see the list of all tags and podcasts and further information for keywords of interest</span></li>
            <li><span>search the database for a known tag or podcast series</span></li>
        </ul>
        <div>
        <br>
            The technologies I used: <strong>Java</strong> (to be precise Java8), <strong>JavaFX</strong> (for the GUI) and <strong>SQLite</strong>. The program is OS-independent (it was tested for Linux and Windows). <em>Podcastbook</em> works best at 1920:1080 resolution.
            You may download <em>Podcastbook</em> <a href="https://gitlab.com/katarzyna.hanczaryk/MyNotebook">here</a>.
        </div>
    </div>
    </div>
    <div class="container after_iframe">
    <h1>This website</h1>
        <h2>Technical details</h2>
        The technologies I used: 
        <div>
            <ul>
                <li><span><strong>HTML</strong>, <strong>CSS</strong>, <strong>JavaScript</strong>, <strong>Bootstrap</strong> for the front-end</span></li>
                <li><span><strong>nodejs</strong> (express, ejs, connect-flash, nodemailer etc) for the back-end</span></li> 
                <li><span><strong>MySQL</strong> to manage blog posts (I had structured data therefore I used MySQL instead of MongoDB)</span></li>
                <li><span><strong>Inkscape</strong> and <strong>GIMP</strong> for design</span></li>
            </ul>
        </div>
</div>
</div>
</div>
<br>
<% include ./templates/footer.ejs%>
